## jade 1.1

=== Makefile ===
# Copyright (c) 1994, 1995 James Clark
# See the file COPYING for copying permission.

prefix=/opt/local
exec_prefix=$(prefix)
# Where to install the binaries
bindir=$(exec_prefix)/bin
INSTALL=cp
# You might want to change this to uncomment this on BSD systems
#INSTALL=install

# If you use gcc, then you must have at least version 2.6.1 and
# you must use -fno-implicit-templates
# and -O (or any optimization level >= 1).
# c++ is a front-end for gcc which takes care of linking with -lstdc++
CXX=c++ -fno-implicit-templates -O2
WARN=-Wall -Wno-reorder -Wwrite-strings -Wpointer-arith -Wnested-externs -Woverloaded-virtual -Wbad-function-cast
# Executables will be *very* large if you use -g.
DEBUG=
# Add -DSP_HAVE_BOOL if you have the bool type.
# Add -DSP_ANSI_CLASS_INST for ANSI style explicit class template instantiation.
# Add -DSP_MULTI_BYTE for multi-byte support.
# Add -DSP_HAVE_LOCALE if you have setlocale().
# Add -DSP_HAVE_GETTEXT if you gettext() and friends (eg Solaris 2.3).
# Add -DSP_HAVE_SOCKET if you have sockets and you want support for HTTP
# Add -DSP_DECLARE_H_ERRNO if you have sockets, but netdb.h doesn't declare h_errno
#   (reportedly HPUX, Ultrix and Solaris 5.4)
# Add -DSGML_CATALOG_FILES_DEFAULT=\"/usr/local/lib/sgml/catalog\"
#   (for example) to change the value used if the SGML_CATALOG_FILES
#   environment variable is unset.  SP now automatically searches for a file
#   called "catalog" in the same directory as the document entity.
# Add -Dsig_atomic_t=int on SunOS 4.1.x with g++ (or any other platform
#  which doesn't appropriately define sig_atomic_t).
XDEFINES=
DEFINES=-DSP_HAVE_BOOL -DSP_ANSI_CLASS_INST -DSP_MULTI_BYTE $(XDEFINES)
CXXFLAGS=-ansi $(DEBUG) $(WARN)
# Flag to pass to CXX to make it output list of dependencies as a Makefile.
CXXDEPGENFLAGS=-MM
LDFLAGS=
CC=gcc
CFLAGS=-O $(DEBUG)
# Missing library functions
# Uncomment these if your C++ system doesn't provide them.
LIBOBJS=#strerror.o memmove.o
# iostreams are required
# If you defined SP_HAVE_SOCKET, add any libraries that are needed for sockets
# -lsocket -lnsl needed on Solaris 2.x
# -lnsl on SunOS 4.1.3
XLIBS=#-lsocket -lnsl
# -L/usr/local/lib may be needed on the RS/6000
LIBS=$(XLIBS)
# If you're building in another directory, copy or link this Makefile
# to the build directory, and set srcdir to point to the source directory.
srcdir=.
AR=ar
RANLIB=:
# Uncomment this for SunOS 4.1.3 or FreeBSD
# (and probably other BSD flavor systems as well)
#RANLIB=ranlib
M4=m4
# perl is needed if you change or add messages
PERL=perl
# Suffix for executables.
EXE=
# Uncomment this for OS/2.
#EXE=.exe

LIBDIRS=lib $(XLIBDIRS)
PROGDIRS=nsgmls spam sgmlnorm spent sx $(XPROGDIRS)
dodirs=$(LIBDIRS) $(PROGDIRS)
PURIFYFLAGS=
PURIFY=purify $(PURIFYFLAGS) -g++=yes -collector=`dirname \`gcc -print-libgcc-file-name\``/ld

MDEFINES='CXX=$(CXX)' 'CC=$(CC)' 'LIBOBJS=$(LIBOBJS)' 'CXXFLAGS=$(CXXFLAGS)' \
 'CFLAGS=$(CFLAGS)' 'LDFLAGS=$(LDFLAGS)' 'DEFINES=$(DEFINES)' \
 'srcdir=$(srcdir)' 'AR=$(AR)' 'RANLIB=$(RANLIB)' \
 'M4=$(M4)' 'PERL=$(PERL)' 'LIBS=$(LIBS)' 'PURIFY=$(PURIFY)' \
 'PIC_FLAG=$(PIC_FLAG)' 'XPROGDIRS=$(XPROGDIRS)' 'XLIBDIRS=$(XLIBDIRS)' \
 'libMakefile=$(libMakefile)' 'EXE=$(EXE)' 'bindir=$(bindir)' \
 'INSTALL=$(INSTALL)' CXXDEPGENFLAGS='$(CXXDEPGENFLAGS)'

# Automatic template instantiation can cause compilers to generate
# various extra files; the clean target won't delete these.
TARGETS=all install depend gen clean pure
libMakefile=Makefile.lib
do=all

$(TARGETS): FORCE
	@$(MAKE) -f $(srcdir)/Makefile $(MDEFINES) do=$@ $(dodirs)


$(LIBDIRS): FORCE
	@if test $(srcdir) = .; \
	then srcdir=.; \
	else srcdir=`cd $(srcdir); pwd`/$@; \
	fi; \
	test -d $@ || mkdir $@; \
	cd $@; \
	test -f $$srcdir/Makefile.dep || touch $$srcdir/Makefile.dep; \
	$(MAKE) $(MDEFINES) srcdir=$$srcdir VPATH=$$srcdir \
		-f $$srcdir/../Makefile.comm -f $$srcdir/Makefile.sub \
	        -f $$srcdir/../$(libMakefile) -f $$srcdir/Makefile.dep $(do)

$(PROGDIRS): FORCE
	@if test $(srcdir) = .; \
	then srcdir=.; \
	else srcdir=`cd $(srcdir); pwd`/$@; \
	fi; \
	test -d $@ || mkdir $@; \
	cd $@; \
	test -f $$srcdir/Makefile.dep || touch $$srcdir/Makefile.dep; \
	$(MAKE) $(MDEFINES) srcdir=$$srcdir VPATH=$$srcdir \
		-f $$srcdir/../Makefile.comm -f $$srcdir/Makefile.sub \
	        -f $$srcdir/../Makefile.prog -f $$srcdir/Makefile.dep $(do)

$(PROGDIRS): lib

# GNU tar
TAR=tar

dist: FORCE
	version=`cat VERSION`; \
	rm -fr sp-$$version; \
	mkdir sp-$$version; \
	cd sp-$$version; \
	ln -s ../* .; \
	rm sp-$$version; \
	rm SP.mak ; \
	sed -e '/^   CD /s/[A-Z]:\\.*\\//' -e "s/$$/`echo @ | tr @ \\\\015`/" \
	  ../SP.mak >SP.mak; \
	cd ..; \
	ln -s `pwd` sp-$$version; \
	$(TAR) -c -f sp-$$version.tar.gz -h -z \
	  `sed -e "s|.*|sp-$$version/&|" FILES`; \
	rm -fr sp-$$version

FORCE:

## jade 1.2.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Where to install the binaries
 bindir=$(exec_prefix)/bin
 INSTALL=cp
-# You might want to change this to uncomment this on BSD systems
+# You might want to uncomment this on BSD systems
 #INSTALL=install
 
 # If you use gcc, then you must have at least version 2.6.1 and
@@ -14,7 +14,7 @@
 # and -O (or any optimization level >= 1).
 # c++ is a front-end for gcc which takes care of linking with -lstdc++
 CXX=c++ -fno-implicit-templates -O2
-WARN=-Wall -Wno-reorder -Wwrite-strings -Wpointer-arith -Wnested-externs -Woverloaded-virtual -Wbad-function-cast
+WARN=#-Wall -Wno-reorder -Wwrite-strings -Wpointer-arith -Wnested-externs -Woverloaded-virtual -Wbad-function-cast
 # Executables will be *very* large if you use -g.
 DEBUG=
 # Add -DSP_HAVE_BOOL if you have the bool type.
@@ -23,6 +23,7 @@
 # Add -DSP_HAVE_LOCALE if you have setlocale().
 # Add -DSP_HAVE_GETTEXT if you gettext() and friends (eg Solaris 2.3).
 # Add -DSP_HAVE_SOCKET if you have sockets and you want support for HTTP
+# Add -DSP_MUTEX_PTHREADS if you want to use pthreads for mutexes
 # Add -DSP_DECLARE_H_ERRNO if you have sockets, but netdb.h doesn't declare h_errno
 #   (reportedly HPUX, Ultrix and Solaris 5.4)
 # Add -DSGML_CATALOG_FILES_DEFAULT=\"/usr/local/lib/sgml/catalog\"
@@ -31,6 +32,7 @@
 #   called "catalog" in the same directory as the document entity.
 # Add -Dsig_atomic_t=int on SunOS 4.1.x with g++ (or any other platform
 #  which doesn't appropriately define sig_atomic_t).
+# Add -DJADE_MIF to include the Jade MIF backend
 XDEFINES=
 DEFINES=-DSP_HAVE_BOOL -DSP_ANSI_CLASS_INST -DSP_MULTI_BYTE $(XDEFINES)
 CXXFLAGS=-ansi $(DEBUG) $(WARN)
@@ -48,7 +50,7 @@
 # -lnsl on SunOS 4.1.3
 XLIBS=#-lsocket -lnsl
 # -L/usr/local/lib may be needed on the RS/6000
-LIBS=$(XLIBS)
+LIBS=-lm $(XLIBS)
 # If you're building in another directory, copy or link this Makefile
 # to the build directory, and set srcdir to point to the source directory.
 srcdir=.
@@ -65,9 +67,15 @@
 # Uncomment this for OS/2.
 #EXE=.exe
 
-LIBDIRS=lib $(XLIBDIRS)
-PROGDIRS=nsgmls spam sgmlnorm spent sx $(XPROGDIRS)
-dodirs=$(LIBDIRS) $(PROGDIRS)
+SP_LIBDIRS=lib $(XLIBDIRS)
+SP_PROGDIRS=nsgmls spam sgmlnorm spent sx $(XPROGDIRS)
+JADE_LIBDIRS=grove spgrove style
+JADE_PROGDIRS=jade
+LIBDIRS=$(SP_LIBDIRS) $(JADE_LIBDIRS)
+PROGDIRS=$(SP_PROGDIRS) $(JADE_PROGDIRS)
+sp_dodirs=$(SP_LIBDIRS) $(SP_PROGDIRS)
+jade_dodirs=$(LIBDIRS) $(PROGDIRS)
+
 PURIFYFLAGS=
 PURIFY=purify $(PURIFYFLAGS) -g++=yes -collector=`dirname \`gcc -print-libgcc-file-name\``/ld
 
@@ -86,8 +94,10 @@
 do=all
 
 $(TARGETS): FORCE
-	@$(MAKE) -f $(srcdir)/Makefile $(MDEFINES) do=$@ $(dodirs)
-
+	@if test -d $(srcdir)/jade; \
+	then $(MAKE) -f $(srcdir)/Makefile $(MDEFINES) do=$@ $(jade_dodirs); \
+	else $(MAKE) -f $(srcdir)/Makefile $(MDEFINES) do=$@ $(sp_dodirs); \
+	fi
 
 $(LIBDIRS): FORCE
 	@if test $(srcdir) = .; \

## jade 1.2.1-maemo1

=== debian/changelog ===
jade (1.2.1-maemo1) unstable; urgency=low

  * Initial release for Maemo.

 -- Thomas Maass <mase@setho.org>  Wed, 23 Feb 2011 14:57:00 +0200

=== debian/control ===
Source: jade
Section: text
Priority: optional
Maintainer: Thomas Maass <mase@setho.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.1.75), sgml-data (>= 1.3), m4, autotools-dev, dh-buildinfo

Package: sp
Architecture: any
Depends: ${shlibs:Depends}
Suggests: doc-base, sgml-data
Description: James Clark's SGML parsing tools
 This package is a collection of SGML/XML tools called SP.
 .
 These tools are used to parse, validate, and normalize SGML and XML
 files.  The central programs included in this package are 'nsgmls',
 which replaces sgmls, 'spam', 'spent', 'sgmlnorm', and 'sgml2xml'.
 .
  Author:   James Clark <jjc@jclark.com>
  Homepage: http://www.jclark.com/sp/

Package: libsp1c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libsp1 (<= 1.3.4-1.2.1-43)
Conflicts: libsp1 (<= 1.3.4-1.2.1-43), jade (<< 1.2.1-43)
Description: Runtime library for James Clark's SP suite
 This is the SP suite's shared library runtime support.  This C++
 library contains entity management functions, parsing functions, and
 other functions useful for SGML/XML/DSSSL development.
 .
 This shared library is used by the sp and jade packages, among others.
 .
  Author:   James Clark <jjc@jclark.com>
  Homepage: http://www.jclark.com/sp/

Package: libsp1-dev
Architecture: any
Section: libdevel
Depends: ${libsp1c2:Version}
Replaces: sp-dev
Conflicts: sp-dev
Recommends: c++-compiler
Description: James Clark's SP suite, developer support
 This contains include files and the static library for libsp.
 This C++ library contains entity management functions, parsing functions,
 and other functions useful for SGML/XML/DSSSL development. 
 .
  Author:   James Clark <jjc@jclark.com>
  Homepage: http://www.jclark.com/sp/

Package: jade
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: doc-base, sgml-data, sp
Description: James Clark's DSSSL Engine
 Jade is an implementation of the DSSSL style language.
 .
 The jade engine is a useful tool (in conjunction with a DSSSL style 
 sheet) for translating SGML documents into other formats.  Jade can 
 currently generate SGML, RTF, and TeX.  In conjunction with the "jadetex"
 TeX style, it can generate quite nice output.
 .
  Author:   James Clark <jjc@jclark.com>
  Homepage: http://www.jclark.com/jade/

=== debian/rules ===
#!/usr/bin/make -f
# rules file for jade
#
# The principle of these rules files are simplicity, robustness,
# ease of maintenance, and readability through abstraction
#
# Some bytes in this file may have been touched by Ian Jackson,
# so I can never remove his name from this file.  Oh boy.

#export DH_VERBOSE=1

pkg-sp		:= sp
pkg-jade	:= jade
pkg-libsp1	:= libsp1c2
pkg-libsp1-dev	:= libsp1-dev

# default SGML dir
sgmldir			:= /usr/share/sgml
local-sgmldir		:= /usr/local/share/sgml

# default SGML pathing - see /usr/share/doc/opensp/sysid.htm
default-sgml-path	:= $(local-sgmldir):$(sgmldir)
default-catalogs	:= /etc/sgml/catalog

# directory abstraction
prefix-jade	:= debian/$(pkg-jade)
bindir-jade	:= $(prefix-jade)/usr/bin
sgmldir-jade	:= $(prefix-jade)$(sgmldir)/jade
docdir-jade	:= $(prefix-jade)/usr/share/doc/$(pkg-jade)
infodir-jade	:= $(prefix-jade)/usr/share/info
sharedir-jade	:= $(prefix-jade)/usr/share

prefix-sp	:= debian/$(pkg-sp)
bindir-sp	:= $(prefix-sp)/usr/bin
confdir-sp	:= $(prefix-sp)/etc
sgmldir-sp	:= $(prefix-sp)$(sgmldir)/sp
docdir-sp	:= $(prefix-sp)/usr/share/doc/$(pkg-sp)
infodir-sp	:= $(prefix-sp)/usr/share/info
sharedir-sp	:= $(prefix-sp)/usr/share

prefix-libsp1	:= debian/$(pkg-libsp1)
docdir-libsp1	:= $(prefix-libsp1)/usr/share/doc/$(pkg-libsp1)
libdir-libsp1	:= $(prefix-libsp1)/usr/lib

prefix-libsp1-dev	:= debian/$(pkg-libsp1-dev)
incdir-libsp1-dev	:= $(prefix-libsp1-dev)/usr/include/$(pkg-sp)
docdir-libsp1-dev	:= $(prefix-libsp1-dev)/usr/share/doc/$(pkg-libsp1-dev)
libdir-libsp1-dev	:= $(prefix-libsp1-dev)/usr/lib

# build tool abstraction
install_file	:= install -o root -g root -m 644 -p
install_script	:= install -o root -g root -m 755 -p
install_program	:= install -o root -g root -m 755 -p
make_directory	:= install -d -o root -g root -m 755
compress	:= gzip -9f

# debhelper verbose
#export DH_VERBOSE=1

# first version of package providing the right shlibs
SHLIBS_PKGVER	:= 1.3.4-1.2.1-44

# determine our version numbers
SRC_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | sed -n 's/^Version: *//p')
SP_VERSION	:= $(shell cat VERSION)

# determine our top level
SRCDIR		:= $(shell pwd)

CFLAGS		:= -g -pipe
CXXFLAGS	:= -g -pipe -D_REENTRANT
CC		:= gcc
CXX		:= g++


# work around broken C++ compiler 4.0 on hppa
DEB_BUILD_ARCH  := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
# ifeq ($(DEB_BUILD_ARCH),hppa)
#   CC		:= gcc-3.4
#   CXX		:= g++-3.4
# endif
# ifeq ($(DEB_BUILD_ARCH),m68k)
#   CC		:= gcc-3.3
#   CXX		:= g++-3.3
# endif

# policy recommendations
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
  CXXFLAGS += -O0
else
  CFLAGS += -O2
  CXXFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif


version-test:
	@echo Debian version is $(SRC_VERSION)
	@echo upstream version is $(UPSTREAM_VERSION)

config.status:
	dh_buildinfo generate cat
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CC="$(CXX)" CXX="$(CXX)" \
	   ./configure --prefix=/usr --enable-html			\
	   --enable-http --enable-static --enable-shared --enable-mif	\
	   --enable-default-catalog=$(default-catalogs)			\
	   --enable-default-search-path=$(default-sgml-path)

build:	config.status
	dh_testdir
	$(MAKE)
	touch build

clean:
	dh_testdir
	rm -f debian/buildinfo
#	 update config.sub and config.guess, from autotools-dev
	test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config/
	test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config/
	rm -f build binary-arch
	$(MAKE) clean
	test ! -f Makefile.dist || $(MAKE) mrproper
	rm -f `find . -name "*~"`
	rm -rf $(prefix-sp) $(prefix-libsp1) $(prefix-libsp1-dev)
	rm -rf $(prefix-jade)
	rm -f debian/copyright debian/files* core
#        remove some autoconf spam
	rm -f conftest*
#	 force the M4 files to rebuild, timestamps can't be trusted
	find . -name '*.m4' | xargs chmod +w
	find . -name '*.m4' | xargs touch
#	 these are created in the binary-arch rule
	rm -f debian/README.Debian debian/substvars debian/shlibs* \
	      debian/sp.conffiles debian/*.substvars
# 	 some stuff that should be cleaned in upstream Makefile
	find . -name 'Makefile.dep' | xargs rm -f
	rm -f libtool
	dh_clean

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean -k

#	 lets create our debian-std copyright file; I like to ensure
#	 I have a verbatim copy of the upstream copyright by cat'ing
#	 the Debian-specific stuff to the end
	cat COPYING debian/copyright.Debian > debian/copyright

#	 substvars used to indicate our version of sp and libsp1
	: > debian/substvars
	echo "$(pkg-sp):Version=$(pkg-sp) (= $(SP_VERSION)-$(SRC_VERSION))" \
	    >> debian/substvars
	echo "$(pkg-libsp1):Version=$(pkg-libsp1) (= $(SP_VERSION)-$(SRC_VERSION))" \
	    >> debian/substvars
	echo "$(pkg-libsp1):ShlibVersion=$(pkg-libsp1) (>= $(SHLIBS_PKGVER))" \
	    >> debian/substvars
	: > debian/${pkg-libsp1-dev}.substvars
	echo "$(pkg-libsp1):Version=$(pkg-libsp1) (= $(SP_VERSION)-$(SRC_VERSION))" \
	    >> debian/${pkg-libsp1-dev}.substvars

#	 substitution in README.Debian
	sed -e 's|%{default-catalogs}|$(default-catalogs)|' \
	-e 's|%{default-sgml-path}|$(default-sgml-path)|' \
	-e 's|%{sgmldir}|$(sgmldir)|' \
	debian/README.Debian.in > debian/README.Debian

##
##	 install sp suite
	$(make_directory) $(bindir-sp) $(sgmldir-sp) $(docdir-sp) $(confdir-sp)
	$(MAKE) install PROGDIRS="nsgmls spam sgmlnorm spent sx" LIBDIRS="" \
	    prefix=$(SRCDIR)/$(prefix-sp)/usr INSTALL="$(install_script)"
	mv $(bindir-sp)/sx $(bindir-sp)/sgml2xml

# The place for sp pubtext, clearly indicated in the LSB (stripped of
# package versioning), is /usr/share/sgml/sp/

#	 install declarations
	$(make_directory) $(sgmldir-sp)
	$(install_file) japan.sgmldecl $(sgmldir-sp)/japan.decl
	$(install_file) debian/sp_implied.decl $(sgmldir-sp)
#	 install xml.soc, this is the expected location
	$(make_directory) $(prefix-sp)$(sgmldir)/declaration
	$(install_file) pubtext/xml.soc $(prefix-sp)$(sgmldir)/declaration
#	install unicode stuff
	$(make_directory) $(sgmldir-sp)/unicode
	$(install_file) unicode/catalog unicode/demo.sgm unicode/unicode.syn \
	    $(sgmldir-sp)/unicode/
	$(install_file) unicode/unicode.sd $(sgmldir-sp)/unicode/unicode.decl
#	 putting this script here is a little perverse
	$(install_script) unicode/gensyntax.pl $(sgmldir-sp)/unicode/

#	 install HTML documentation
	dh_installdocs -p$(pkg-sp) README doc/*.htm debian/README.Maemo
#	 now sx is named sgml2xml, change it in the doco
	perl -pi -e 's/sx/sgml2xml/g; s/SX/SGML2XML/g;'			\
	    $(docdir-sp)/sx.htm
	perl -pi -e 's/>sx/>sgml2xml/g; s/>SX/>SGML2XML/g;'		\
	    $(docdir-sp)/index.htm $(docdir-sp)/new.htm
	dh_installchangelogs -p$(pkg-sp)
	dh_installexamples -p$(pkg-sp) dsssl/FOT.tex dsssl/demo*

#	 install man pages
	dh_installman -p$(pkg-sp) debian/nsgmls.1 debian/spam.1 debian/spent.1 \
	    debian/sgml2xml.1 debian/sgmlnorm.1

##
##	 install libsp1
	$(make_directory) $(prefix-libsp1)/usr/lib $(prefix-libsp1)/DEBIAN

#	 std shlibs file, with the first version that supplied the version
#	  that applications should build with
# should work but doesn't
#	dh_makeshlibs -p$(pkg-libsp1) -V'$(pkg-libsp1) (>=$(SHLIBS_PKGVER))'
# do it by hand
	: > $(prefix-libsp1)/DEBIAN/shlibs
	echo "libsp      1 $(pkg-libsp1) (>= $(SHLIBS_PKGVER))" >> $(prefix-libsp1)/DEBIAN/shlibs
	echo "libgrove   1 $(pkg-libsp1) (>= $(SHLIBS_PKGVER))" >> $(prefix-libsp1)/DEBIAN/shlibs
	echo "libspgrove 1 $(pkg-libsp1) (>= $(SHLIBS_PKGVER))" >> $(prefix-libsp1)/DEBIAN/shlibs
	echo "libstyle   1 $(pkg-libsp1) (>= $(SHLIBS_PKGVER))" >> $(prefix-libsp1)/DEBIAN/shlibs
	chmod 0644 $(prefix-libsp1)/DEBIAN/shlibs
	chown 0.0 $(prefix-libsp1)/DEBIAN/shlibs

	$(MAKE) install PROGDIRS="" LIBDIRS="lib grove spgrove style"	\
	    prefix=$(SRCDIR)/$(prefix-libsp1)/usr INSTALL="$(install_file)"
